Subject: Re: [PATCH v2] watchdog: add SPDX identifiers for watchdog subsystem

From: Marcus Folkesson <[email-masked]>
Date: Tue, 20 Feb 2018 19:45:22 +0100

On Tue, Feb 20, 2018 at 01:14:27PM -0500, William Breathitt Gray wrote:
> On Tue, Feb 20, 2018 at 04:33:26PM +0100, Marcus Folkesson wrote:
> >On Tue, Feb 20, 2018 at 07:13:43AM -0800, Guenter Roeck wrote:
> >> On 02/20/2018 05:21 AM, Marcus Folkesson wrote:
> >> > Hello William,
> >> > 
> >> > On Tue, Feb 20, 2018 at 07:49:55AM -0500, William Breathitt Gray wrote:
> >> > > On Tue, Feb 20, 2018 at 11:45:31AM +0100, Marcus Folkesson wrote:
> >> > > > - Add SPDX identifier
> >> > > > - Remove boiler plate license text
> >> > > > - If MODULE_LICENSE and boiler plate does not match, go for boiler plate
> >> > > >   license
> >> > > > 
> >> > > > Signed-off-by: Marcus Folkesson <[email-masked]>
> >> > > > Acked-by: Adam Thomson <[email-masked]>
> >> > > > Acked-by: Charles Keepax <[email-masked]>
> >> > > > Acked-by: Nicolas Ferre <[email-masked]>
> >> > > > Acked-by: Michal Simek <[email-masked]>
> >> > > > ---
> >> > > > 
> >> > > > Notes:
> >> > > >     v2:
> >> > > >     	- Put back removed copyright texts for meson_gxbb_wdt and coh901327_wdt
> >> > > >     	- Change to BSD-3-Clause for meson_gxbb_wdt
> >> > > >     v1: Please have an extra look at meson_gxbb_wdt.c
> >> > > 
> >> > > [...]
> >> > > 
> >> > > > diff --git a/drivers/watchdog/ebc-c384_wdt.c b/drivers/watchdog/ebc-c384_wdt.c
> >> > > > index 2170b275ea01..c173b6f5c866 100644
> >> > > > --- a/drivers/watchdog/ebc-c384_wdt.c
> >> > > > +++ b/drivers/watchdog/ebc-c384_wdt.c
> >> > > > @@ -1,15 +1,8 @@
> >> > > > +// SPDX-License-Identifier: GPL-2.0
> >> > > > /*
> >> > > >   * Watchdog timer driver for the WinSystems EBC-C384
> >> > > >   * Copyright (C) 2016 William Breathitt Gray
> >> > > >   *
> >
> >The copyright is untouched?
> >
> >> > > > - * This program is free software; you can redistribute it and/or modify
> >> > > > - * it under the terms of the GNU General Public License, version 2, as
> >> > > > - * published by the Free Software Foundation.
> >> > > > - *
> >> > > > - * This program is distributed in the hope that it will be useful, but
> >> > > > - * WITHOUT ANY WARRANTY; without even the implied warranty of
> >> > > > - * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
> >> > > > - * General Public License for more details.
> >> > > >   */
> >> > > > #include <linux/device.h>
> >> > > > #include <linux/dmi.h>
> >> > 
> >> > Thank you for your feedback!
> >> > > 
> >> > > I have no problem with adding a SPDX line to the top of this file, but
> >> > > use "SPDX-License-Identifier: GPL-2.0-only" as I was very intentional
> >> > > with the selection of GPL version 2 only when I published this code.
> >> > 
> >> > SPDX-License-Identifier: GPL-2.0
> >> > Is GPL-2.0 only [1], so it respects your choice of license.
> 
> Ah, this should be fine then. :)
> 

Good!

> >> > 
> >> > > 
> >> > > Furthermore, please do not remove the existing copyright text; although
> >> > 
> >> 
> >> It is not a matter if you CAN keep a copyright. You MUST NOT remove a copyright.
> >> As long as you do, the series is
> >> 
> >> Nacked-by: Guenter Roeck <[email-masked]>
> >> 
> >> Guenter
> >
> >I'm sorry, I do not see where the copyright is removed unless you count
> >the license text as part of the copyright.
> >
> >Can you please point it out?
> >
> >> 
> >> > The copyright text:
> >> > 
> >> >   Copyright (C) 2016 William Breathitt Gray
> >> > 
> >> > Is still in the file.
> >
> >^^^
> >
> >> > 
> >> > 
> >> > > it's just boilerplate for some, I was careful with the selection of
> >> > > these words, and I worry the SPDX line only -- despite its useful
> >> > > conciseness -- may lead to misunderstandings about my intentioned
> >> > > license for this code.
> >> > 
> >> > I'm not sure I understand your concerns here, the SPDX identifier is
> >> > a shorthand for the GPL 2.0 only license. See [1] - Linux kernel licensing rules.
> >> > 
> >> > One of the biggest benefits with SPDX identifier is that it is hard to verify
> >> > boiler plate licenses due to formatting, types, different formulations and so on.
> >> > 
> >> > If still worrying, I think we could keep the license text as
> >> > well.
> 
> I'm sorry for the confusion, I should have wrote "license text" rather
> than "copyright text" in my previous message. I agree with the benefits

No problem at all.

> of utilizing the SPDX identifier, and I see the addition of the SPDX
> line as useful, but I would prefer the original license text remain as
> well.

Of course, I will keep the the original license intact for v3.
> William Breathitt Gray

Best regards
Marcus Folkesson